Package org.apache.synapse.commons.emulator.core

# Enum EmulatorType

java.lang.Object
java.lang.Enum<EmulatorType>
org.apache.synapse.commons.emulator.core.EmulatorType

All Implemented Interfaces:
  `Serializable`, `Comparable<EmulatorType>`, `java.lang.constant.Constable`

public enum EmulatorType extends Enum<EmulatorType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `HTTP_CONSUMER`
  `HTTP_PRODUCER`
  `TCP_CONSUMER`
  `TCP_PRODUCER`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static EmulatorType`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static EmulatorType[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### HTTP_CONSUMER

    public static final EmulatorType HTTP_CONSUMER

  - ### HTTP_PRODUCER

    public static final EmulatorType HTTP_PRODUCER

  - ### TCP_CONSUMER

    public static final EmulatorType TCP_CONSUMER

  - ### TCP_PRODUCER

    public static final EmulatorType TCP_PRODUCER

- ## Method Details

  - ### values

    public static EmulatorType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static EmulatorType valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null